/* Various useful utilities.
   Copyright (C) 2006 Carl Fredrik Hammar (hammy.lite@gmail.com)

   This file is part of GP2X Sand.

   GP2X Sand is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   GP2X Sand is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details. 

   You should have received a copy of the GNU General Public License along
   with GP2X Sand; if not, write to the Free Software Foundation, Inc., 51
   Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA */

#include "utils.h"

#include <stdlib.h>

int
clip_to_interval (int start, int end, int value)
{
  if (value <= start)
    return start;

  else if (value >= end)
    return end;

  else
    return value;
}

float
clip_to_intervalf (float start, float end, float value)
{
  if (value <= start)
    return start;

  else if (value >= end)
    return end;

  else
    return value;
}

bool
random_boolean ()
{
  return rand () & 1;
}
